reference_element.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::edge
| rheolef::triangle
| rheolef::quadrangle
| rheolef::tetrahedron
| rheolef::prism
| rheolef::hexahedron

## Macros

#define | _RHEOLEF_reference_element_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)

## Functions

Float | measure (reference_element hat_K)

## Macro Definition Documentation

## _RHEOLEF_reference_element_case

#define _RHEOLEF_reference_element_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::n_subgeo (subgeo_dim);

## _RHEOLEF_geo_element_auto_case [1/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::subgeo_n_node (order, subgeo_dim, loc_isid);

## _RHEOLEF_geo_element_auto_case [2/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::subgeo_local_node (order, subgeo_dim, loc_isid, loc_jsidnod);

## _RHEOLEF_geo_element_auto_case [3/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT##_first_inod_by_variant (order, subgeo_variant);

## _RHEOLEF_geo_element_auto_case [4/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::side_measure (loc_isid);

## _RHEOLEF_geo_element_auto_case [5/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
reference_element_##VARIANT::side_normal (loc_isid, hat_n); break;

## _RHEOLEF_geo_element_auto_case [6/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::vertex (iloc);
mkgeo_ball.order
order
Definition: mkgeo_ball.sh:343
vertex
const point vertex[n_vertex]
Definition: edge.icc:67